# Class JSOFA.ReferenceEllipsoid

java.lang.Object
org.jastronomy.jsofa.JSOFA.ReferenceEllipsoid

Enclosing class:
  `JSOFA`

public static class JSOFA.ReferenceEllipsoid extends Object
Reference Ellipsoid of Earth. The ellipsoid parameters are returned in the form of equatorial radius in meters (a) and flattening (f). The latter is a number around 0.00335, i.e. around 1/298.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 1 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`a`
equatorial radius (meters, Note 2)
`double`
`f`
flattening (Note 2)

## Constructor Summary

Constructors
Constructor
Description
`ReferenceEllipsoid(double a, double f)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### a

public double a
equatorial radius (meters, Note 2)

### f

public double f
flattening (Note 2)

## Constructor Details

### ReferenceEllipsoid

public ReferenceEllipsoid(double a, double f)